# Interface TextSymbol3DLayerJson

TextSymbol3DLayer is used to draw text labels for features of any geometry type.

See https://developers.arcgis.com/web-scene-specification/objects/textSymbol3DLayer/.

interface TextSymbol3DLayerJson {
font?: FontJson;
material?: MaterialJson;
size?: number;
text?: string;
type: "Text";
}

#### Hierarchy (view full)

- Symbol3DLayerJsonBase
  - TextSymbol3DLayerJson

#####
Index

### Properties

font?
material?
size?
text?
type

##
Properties

### `Optional` font

font?: FontJson

Font used for text symbols.

### `Optional` material

material?: MaterialJson

The material used to shade the geometry.

### `Optional` size

size?: number

Font size in points, positive only.

### `Optional` text

text?: string

Type:String.

### type

type

The type of the Symbol3DLayer. See Symbol3DLayerJsonType.

Overrides Symbol3DLayerJsonBase.type